#ifndef MAINCLASS_H
#define MAINCLASS_H

#include <QObject>
#include <QTimer>
#include <QNetworkAccessManager>
#include <QEventLoop>
#include <QNetworkReply>
#include <QDebug>

class MainClass : public QObject
{
    Q_OBJECT
private:
    QTimer* time;
    QNetworkAccessManager* nam;
    QUrl url;
public:
    explicit MainClass(QObject* parent=NULL);
    int i;
public slots:
    void processRequest();
    void processNamFinished(QNetworkReply* reply);
};

#endif // MAINCLASS_H
